Create a delivery request for an IT asset

Create a delivery request to ship an asset from a warehouse to a worker (HRIS profile), with Deel operations executing the logistics. If you only need to record a location change without using Deel IT services, use POST /rest/it/assets/{asset_id}/location.

Token scopes: it-service-requests:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

asset_idstringRequiredformat: "uuid"
Unique identifier of the IT asset

Request

Delivery details
dataobjectRequired

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error